<template>
    <form @submit.prevent="submit()" class="reg__right">
    <div  class="reg__right-page active" >
        <p class="reg__right-title">Регистрация</p>
        <p class="reg__right-desc">Пожалуйтса заполните все поля</p>
        <div class="reg__input-wrapper"
             :class="{
            error:form.errors.nickname,
            success:!form.errors.nickname && form.nickname.length > 0
        }">
            <RegInputLeft/>
            <InputReg
                v-model="form.nickname"
                :error="form.errors.nickname"
                placeholder="Никнейм"
            />
        </div>
        <div class="reg__input-wrapper" :class="{
            error:form.errors.email,
            success:!form.errors.email && form.email.length > 0
        }">
            <RegInputLeft/>
            <InputReg
                v-model="form.email"
                :error="form.errors.email"
                placeholder="Email"
            />
        </div>
        <div class="reg__input-wrapper" :class="{
            error:form.errors.password,
             success:!form.errors.password && form.password.length > 0
        }">
            <RegInputLeft/>
            <InputReg
                type="password"
                v-model="form.password"
                :error="form.errors.password"
                placeholder="Пароль"
            />
        </div>
        <div class="reg__input-wrapper" :class="{
            error:form.errors.password_confirmation,
            success:!form.errors.password_confirmation && form.password_confirmation.length > 0
        }">
            <RegInputLeft/>
            <InputReg
                type="password"
                v-model="form.password_confirmation"
                :error="form.errors.password_confirmation"
                placeholder="Повторите пароль"
            />
        </div>
        <p class="reg__success">Нажимая продолжить
            вы соглашаетесь с “<Link :href="route('privacy-policy')">политика конфиденциальности</Link>”
            <br>
            и “<a :href="route('terms-of-use')">пользовательским соглашением</a>”
        </p>
        <button :disabled="form.processing" type="submit" class="js-next reg__but button">Продолжить</button>
        <Link class="reg__haveAcc" :href="route('login')">У меня уже есть аккаунт, хочу <span>войти</span></Link>
    </div>
    </form>
</template>

<script setup>
import RegInputLeft from "@/Components/Items/Auth/RegInputLeft.vue";
import InputReg from "@/Components/UI/InputReg.vue";
import {inject, watch} from "vue";
import {Link} from "@inertiajs/vue3";
import axios from 'axios'

const form = inject('form')
const submit = inject('submit')
const currentStep = inject('currentStep')

watch(
    () => form.nickname,
    async (val) => {
        await axios.post(route('check.nickname'),{nickname:val})
           .then(() => form.clearErrors('nickname'))
           .catch((error) => form.setError('nickname', error.response.data.message)
           );
    }
)

watch(
    () => form.email,
    async (val) => {
        await axios.post(route('check.email'),{email:val})
            .then(() => form.clearErrors('email'))
            .catch((error) => form.setError('email', error.response.data.message)
      );
    }
)

watch(
    () => form.password,
    async (val) => {
        await axios.post(route('check.password'),{password:val})
            .then(() => form.clearErrors('password') )
            .catch((error) => form.setError('password', error.response.data.message)
        );
    }
)

watch(
    () => form.password_confirmation,

    (error) => {
        if(form.password === form.password_confirmation){
            form.clearErrors('password_confirmation')
        }else{
            form.setError('password_confirmation', 'Подтверждение пароля не совпадает с паролем')
        }
    }
)


</script>

